package com.uoc.cclavero.freeauthenticator;

import com.uoc.cclavero.freeauthenticator.activities.AddKeyKeyboardActivity;

import org.junit.Test;

import static junit.framework.TestCase.assertFalse;
import static junit.framework.TestCase.assertTrue;

public class UnitTestIsValidPrivateKey {

    @Test
    public void privateKey_is_empty() { assertFalse(AddKeyKeyboardActivity.isValidPrivateKey("")); }

    @Test
    public void privateKey_is_short() { assertFalse(AddKeyKeyboardActivity.isValidPrivateKey("KZ3GK3LLGBXEGN")); }

    @Test
    public void privateKey_is_valid() { assertTrue(AddKeyKeyboardActivity.isValidPrivateKey("KZ3GK3LLGBXEGN3LJFFE4N2CLFAXQTCW")); }

    @Test
    public void privateKey_contains_blank_spaces() { assertTrue(AddKeyKeyboardActivity.isValidPrivateKey(" KZ3GK3LLGBXEGN3 LJFFE4N2CLFAXQTCW ")); }

}
