package com.uoc.cclavero.freeauthenticator;

import com.uoc.cclavero.freeauthenticator.activities.AddKeyKeyboardActivity;

import org.junit.Test;

import static junit.framework.TestCase.assertFalse;
import static junit.framework.TestCase.assertTrue;

public class UnitTestIsValidDescription {

    @Test
    public void description_is_empty() { assertFalse(AddKeyKeyboardActivity.isValidDescription("")); }

    @Test
    public void description_is_only_blank_spaces() { assertFalse(AddKeyKeyboardActivity.isValidDescription("      ")); }

    @Test
    public void description_is_valid() { assertTrue(AddKeyKeyboardActivity.isValidDescription("Description valid")); }

    @Test
    public void description_is_valid_with_trailing_spaces() { assertTrue(AddKeyKeyboardActivity.isValidDescription(" Description valid ")); }

}
