package com.uoc.cclavero.freeauthenticator;

import com.uoc.cclavero.freeauthenticator.activities.AddKeyKeyboardActivity;

import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

public class UnitTestSanitizePrivateKey {

    @Test
    public void privateKey_no_change() { assertEquals("AEIOU", AddKeyKeyboardActivity.sanitizePrivateKey("AEIOU")); }

    @Test
    public void privateKey_change_zero_to_O() { assertEquals("AEIOU", AddKeyKeyboardActivity.sanitizePrivateKey("AEI0U")); }

    @Test
    public void privateKey_change_one_to_I() { assertEquals("AEIOU", AddKeyKeyboardActivity.sanitizePrivateKey("AE10U")); }

    @Test
    public void privateKey_change_one_zero_to_IO() { assertEquals("AEIOU", AddKeyKeyboardActivity.sanitizePrivateKey("AE10U")); }

    @Test
    public void privateKey_change_one_zero_one_zero_to_IO() { assertEquals("AEIOIOU", AddKeyKeyboardActivity.sanitizePrivateKey("AE1010U")); }

}
